Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CatalogRequestImpl

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.catalog.CatalogRequestImpl

public final class CatalogRequestImpl
extends java.lang.Object
implements CatalogRequest, java.io.Serializable

This is the implementation class for the common input record to catalog services that return catalog data. It contains everything required to resolve a catalog request to catalog content.

See Also:
  methods for creating CatalogRequest objects., Serialized Form

Method Summary
`int` | `getAuthorization()`
`java.lang.String` | `getLanguage()`
`boolean` | `getShowAll()`
`boolean` | `hasAuthorization(int authorizationCode)`
`void` | `setLanguage(java.lang.String language)` Set the language attribute for this catalog request
`void` | `setShowAll(boolean showAll)` Set the showAll attribute for this catalog request

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLanguage

    public java.lang.String getLanguage()

  Specified by:
    getLanguage in interface CatalogRequest

  Returns:
    the language attribute for this catalog request

### setLanguage

    public void setLanguage(java.lang.String language)

  Set the language attribute for this catalog request
  Specified by:
    setLanguage in interface CatalogRequest

### getShowAll

    public boolean getShowAll()

  Specified by:
    getShowAll in interface CatalogRequest

  Returns:
    the showAll attribute for this catalog request

### setShowAll

    public void setShowAll(boolean showAll)

  Set the showAll attribute for this catalog request
  Specified by:
    setShowAll in interface CatalogRequest

### getAuthorization

    public int getAuthorization()

  Specified by:
    getAuthorization in interface CatalogRequest

  Returns:
    the authorization bitfield for this catalog request

### hasAuthorization

    public boolean hasAuthorization(int authorizationCode)

  Specified by:
    hasAuthorization in interface CatalogRequest

  Parameters:
    `authorizationCode` - the authorization required
  Returns:
    true if the current catalog request has the required authorization

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved